function fadedEls(el, shift) {
    el.css('opacity', 0);

    switch (shift) {
        case undefined: shift = 0;
        break;
        case 'h': shift = el.eq(0).outerHeight();
        break;
        case 'h/2': shift = el.eq(0).outerHeight() / 2;
        break;
    }

    $(window).resize(function() {
        if (!el.hasClass('ani-processed')) {
            el.eq(0).data('scrollPos', el.eq(0).offset().top - $(window).height() + shift);
        }
    }).scroll(function() {
        if (!el.hasClass('ani-processed')) {
            if ($(window).scrollTop() >= el.eq(0).data('scrollPos')) {
                el.addClass('ani-processed');
                el.each(function(idx) {
                    $(this).delay(idx * 200).animate({
                        opacity : 1
                    }, 1000);
                });
            }
        }
    });
};

(function($) {
    $(function() {
        
        // Sections height & scrolling
        $(window).resize(function() {
            var sH = $(window).height();
            // $('section.header-11-sub').css('height', (sH - $('header').outerHeight()) + 'px');
           // $('section:not(.header-10-sub):not(.content-11)').css('height', sH + 'px');
        });        

        // Parallax
        $('.header-11-sub, .content-23').each(function() {
            $(this).parallax('50%', 0.3, true);
        });

        /* For the section content-8 */

        /* For the section content-7 */


       
/*        (function(el) {
            el.css('left', '-100%');

            $(window).resize(function() {
                if (!el.hasClass('ani-processed')) {
                    el.data('scrollPos', el.offset().top - $(window).height() + el.outerHeight());
                }
            }).scroll(function() {
                if (!el.hasClass('ani-processed')) {
                    if ($(window).scrollTop() >= el.data('scrollPos')) {
                        el.addClass('ani-processed');
                        el.animate({
                            left : 0
                        }, 500);
                    }
                }
            });
        })($('.content-11 > .container'));*/

        $(window).resize().scroll();

    });

    $(window).load(function() {
        $('html').addClass('loaded');
        $(window).resize().scroll();     

    });
})(jQuery);

jQuery(document).ready(function($) {
    $('.reg-form .form-control').val('');

    $(".scrollto").click(function(event) {
        event.preventDefault(); 

        var defaultAnchorOffset = 0;

        var anchor = $(this).attr('data-attr-scroll');
                
        var anchorOffset = $('#'+anchor).attr('data-scroll-offset');
        if (!anchorOffset)
            anchorOffset = defaultAnchorOffset; 

        $('html,body').animate({ 
            scrollTop: $('#'+anchor).offset().top - anchorOffset
        }, 1400);        
    });

     function validateEmail(email) {
        var re = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
        return re.test(email);
    }

    $('.reg-form .send').click(function(e) {
        e.preventDefault();
        var regForm = $(this).closest(".reg-form");
        var hasErrors = false;
        regForm.find(".form-control:visible").each(function() {
            if(($(this).attr('name') == 'regname' && $(this).val() === "") || ($(this).attr('name') == 'regemail' && $(this).val() === "")) {
                $(this)
                .parent()
                .addClass('has-error')
                .children('.help-block')
                .removeClass('hidden')
                .show()
                .html("Заполните поле"); 
                hasErrors = true; 
            } else {
                if($(this).attr('type') == 'email') {
                    if(validateEmail($(this).val())) {
                        $(this)
                        .parent()
                        .removeClass('has-error')
                        .children('.help-block')
                        .css('visibility','hidden')
                    } else {
                        $(this)
                        .parent()
                        .addClass('has-error')
                        .children('.help-block')
                        .removeClass('hidden')
                        .show()
                        .html("Неверный формат e-mail"); 
                        hasErrors = true; 
                    }
                } else {
                    $(this)
                    .parent()
                    .removeClass('has-error')
                    .children('.help-block')
                    .css('visibility','hidden')
                }      
            }
        });
        if (!hasErrors) {
            form_registration(regForm);
        }
        return false;
    });

    function form_registration (regForm) {
        var input_data = regForm.serialize(); 
        $.ajax({
            type: 'post',
            url: 'send.php',
            data: input_data,
            dataType: 'json',
            success: function( msg ){
                if(msg.status == 'ok') {
                    regForm.find('.form-content').html(msg.result);
                    regForm.closest('.container').find('h3.form-header').css('display', 'none');
                } else if(msg.status == 'error')  {
                    regForm.find('.form-group').removeClass('has-error');
                    regForm.find('.help-block').html('&nbsp;');
                    regForm.find('.form-control')
                        .parent()
                        .addClass('has-error')
                        .children('.help-block')
                        .removeClass('hidden')
                        .show()
                        .html(msg.error);
                }
                
            },
            error: function(){
                regForm.find('h3.form-header').css('display', 'none');
                regForm.find('.form-content').html("<h3>Произошла ошибка, попробуйте повторить попытку позже.</h3>").css('color','#FFF');
            }
        });  
        return false; 
    }
});

$(document).ready(function() {
    $('#privacy-checkbox:checkbox').change(function() {
            if ($('#privacy-checkbox').is(':checked')) {
                $('.btn-check').attr("disabled", false);
            } else {
                $('.btn-check').attr("disabled", true);
            }
        });
    $('.form-popup').click(function(event) {
        $('#popup .reg-form .form-control').val('');
        $('#popup .reg-form .help-block').html('&nbsp;');
        $('#popup .reg-form .form-group').removeClass('has-error');
        $('#popup').show();
        event.preventDefault();
    });
            
    $('.close-btn, #popup').click(function(event) {
        $('#popup').hide();
        event.preventDefault();
        event.stopPropagation();
    });

    $('#popup form').click(function(event) {
        event.stopPropagation();
    });

    $('input[name="subscribe"]').on('click', function() {
        $('#popup').hide();
    })

});
